PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Floating

> point + extensions

`>FLOAT``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_to_float]

`D>F``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_to_f]

`F!``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_store]

`F*``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_star]

`F+``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_plus]

`F-``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_minus]

`F/``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_slash]

`F0<``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_zero_less]

`F0=``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_zero_equal]

`F<``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_less_than]

`F>D``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_to_d]

`F@``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_fetch]

`FALIGN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_f_align]

`FALIGNED``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_f_aligned]

`FDEPTH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_depth]

`FDROP``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_drop]

`FDUP``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_dup]

`FLITERAL``` => `"[ANS] FORTH"`

  (no description)

  compiling word = [p4_f_literal]

`FLOAT+``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_float_plus]

`FLOATS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_floats]

`FLOOR``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_floor]

`FMAX``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_max]

`FMIN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_min]

`FNEGATE``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_negate]

`FOVER``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_over]

`FROT``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_rot]

`FROUND``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_round]

`FSWAP``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_swap]

`REPRESENT``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_represent]

`DF!``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_store]

`DF@``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_fetch]

`DFALIGN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_f_align]

`DFALIGNED``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_f_aligned]

`DFLOAT+``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_float_plus]

`DFLOATS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_d_floats]

`F**``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_star_star]

`F.``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_dot]

`FABS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_abs]

`FACOS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_acos]

`FACOSH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_acosh]

`FALOG``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_alog]

`FASIN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_asin]

`FASINH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_asinh]

`FATAN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_atan]

`FATAN2``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_atan2]

`FATANH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_atanh]

`FCOS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_cos]

`FCOSH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_cosh]

`FE.``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_e_dot]

`FEXP``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_exp]

`FEXPM1``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_expm1]

`FLN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_ln]

`FLNP1``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_lnp1]

`FLOG``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_log]

`FS.``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_s_dot]

`FSIN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_sin]

`FSINCOS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_sincos]

`FSINH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_sinh]

`FSQRT``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_sqrt]

`FTAN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_tan]

`FTANH``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_tanh]

`F~``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_f_proximate]

`SET-PRECISION``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_set_precision]

`SF!``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_s_f_store]

`SF@``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_s_f_fetch]

`SFALIGN``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_align]

`SFALIGNED``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_aligned]

`SFLOAT+``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_s_float_plus]

`SFLOATS``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_s_floats]

`FLOATING-STACK``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p__floating_stack]

`MAX-FLOAT``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p__max_float]

`INTERPRET-FLOAT``( CS: dest* -- dest* )``executes ( -- F: f# ) experimental` => `"[ANS] FORTH"`

  check the next word from `QUERY` and try to parse it as a floating number - if parseable then postpone the value on the floating stack and branch out of the loop body (usually do it `AGAIN` )

  compiling word = [p4_interpret_float]